. "$HOME/.cargo/env"

HISTFILE=~/.zsh_history
HISTSIZE=10000
SAVEHIST=10000
setopt appendhistory rmstarsilent

bindkey -v
bindkey '^R' history-incremental-search-backward

export EDITOR=nvim

plugins=(ssh-agent)
zstyle :omz:plugins:ssh-agent identities ~/.ssh/id_github_cloudalb ~/.ssh/id_gitea_dragonfruit_cloud
zstyle :omz:plugins:ssh-agent quiet yes

source ~/.zsh_aliases
source ~/.zsh_bindkeys

source ~/.oh-my-zsh/custom/plugins/zsh-autosuggestions/zsh-autosuggestions.plugin.zsh
source ~/.oh-my-zsh/custom/plugins/zsh-syntax-highlighting/zsh-syntax-highlighting.plugin.zsh

export PATH="$PATH:$HOME/git/personal-devboot/scripts/shell"

SSD_PATH="/media/ssh"
HD_PATH="/media/hd"
export CLOUDS="/media/hd/clouds"
export DOCUMENTS="/media/hd/clouds/nextcloud-pudim/home/documents"
export DOWNLOADS="/media/hd/home/downloads"
export FURRY_DOWNLOADS="/media/hd/clouds/nextcloud-strawberry/data-hoarding/furry-downloads"
export MEMES="/media/hd/clouds/nextcloud-pudim/home/pictures/memes"
export VIDEOS="/media/hd/home/videos"

autoload -U select-word-style
select-word-style bash

fpath+=~/.zfunc
autoload -Uz compinit && compinit
zstyle ':completion:*' matcher-list 'm:{a-z}={A-Za-z}'

export LESS="--RAW-CONTROL-CHARS"
[[ -f ~/.LESS_TERMCAP ]] && . ~/.LESS_TERMCAP

export COLORTERM=truecolor

export RIPGREP_CONFIG_PATH="$HOME/.config/ripgrep/ripgreprc"

source "$HOME/.oh-my-zsh/oh-my-zsh.sh"

eval "$(zoxide init zsh)"
eval "$(~/.local/bin/mise activate --shims zsh)"
eval "$(starship init zsh)"
